classification
Title: Sync importlib_metadata enhancements through 3.10.
Type: Stage: resolved
Components: Library (Lib) Versions: Python 3.10
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: jaraco
Priority: normal Keywords: patch

Created on 2021-04-08 23:51 by jaraco, last changed 2021-04-24 15:02 by jaraco. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 25297 merged jaraco, 2021-04-09 00:06
Messages (2)
msg390572 - (view) Author: Jason R. Coombs (jaraco) * (Python committer) Date: 2021-04-08 23:51
Incorporate importlib_metadata changes from 3.8 through 3.10: https://importlib-metadata.readthedocs.io/en/latest/history.html#v3-10-0

Two main changes:

- Add mtime-based caching during distribution discovery.
- Flagged use of dict result from ``entry_points`` as deprecated.
msg391778 - (view) Author: Jason R. Coombs (jaraco) * (Python committer) Date: 2021-04-24 14:14
New changeset c6ca368867bd68d44f333df840aa85d425a51410 by Jason R. Coombs in branch 'master':
bpo-43780: Sync with importlib_metadata 3.10 (GH-25297)
https://github.com/python/cpython/commit/c6ca368867bd68d44f333df840aa85d425a51410
History
Date User Action Args
2021-04-24 15:02:06jaracosetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2021-04-24 14:14:13jaracosetmessages: + msg391778
2021-04-09 00:06:40jaracosetkeywords: + patch
stage: patch review
pull_requests: + pull_request24028
2021-04-08 23:51:56jaracocreate